> ## Documentation Index
> Fetch the complete documentation index at: https://vida.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Agent

> Fetch an agent details



## OpenAPI

````yaml get /api/v2/agent/{agentId}
openapi: 3.0.0
info:
  version: 2.0.0
  title: Vida API
  description: Vida API Documentation
servers:
  - url: https://api.vida.dev
    description: Vida Production
    variables:
      baseUrl:
        default: api.vida.dev
        description: Production API Root
security: []
paths:
  /api/v2/agent/{agentId}:
    get:
      tags:
        - Agents
      summary: Get Agent
      description: Fetch an agent details
      parameters:
        - name: agentId
          in: path
          required: true
          schema:
            type: string
          description: Agent Id
          example: campa931829b5857f....
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Success
                  sponsorship:
                    properties:
                      id:
                        description: Agent Id
                        type: string
                        example: campa931829b5857f....
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: query
      name: token
      description: Vida API Token

````